Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface TimingSpecifierHandler

All Known Subinterfaces:
  TimingSpecifierListHandler

All Known Implementing Classes:
  DefaultTimingSpecifierHandler, DefaultTimingSpecifierListHandler, TimingSpecifierListProducer

    public interface TimingSpecifierHandler

This interface must be implemented and then registered as the handler of a `TimingSpecifierParser` instance in order to be notified of parsing events.

Method Summary
`void` | `accesskey(float offset, char key)` Invoked when an accesskey value timing specifier is parsed.
`void` | `accessKeySVG12(float offset, String keyName)` Invoked when an SVG 1.2 accessKey value timing specifier is parsed.
`void` | `eventbase(float offset, String eventbaseID, String eventType)` Invoked when an eventbase value timing specifier is parsed.
`void` | `indefinite()` Invoked when an indefinite value timing specifier is parsed.
`void` | `mediaMarker(String syncbaseID, String markerName)` Invoked when a media marker value timing specifier is parsed.
`void` | `offset(float offset)` Invoked when an offset value timing specifier is parsed.
`void` | `repeat(float offset, String syncbaseID)` Invoked when a repeat value timing specifier with no iteration is parsed.
`void` | `repeat(float offset, String syncbaseID, int repeatIteration)` Invoked when a repeat value timing specifier with an iteration is parsed.
`void` | `syncbase(float offset, String syncbaseID, String timeSymbol)` Invoked when a syncbase value timing specifier is parsed.
`void` | `wallclock(Calendar time)` Invoked when a wallclock value timing specifier is parsed.

Method Detail

### offset

    void offset(float offset)

  Invoked when an offset value timing specifier is parsed.

### syncbase

    void syncbase(float offset,
                  String syncbaseID,
                  String timeSymbol)

  Invoked when a syncbase value timing specifier is parsed.

### eventbase

    void eventbase(float offset,
                   String eventbaseID,
                   String eventType)

  Invoked when an eventbase value timing specifier is parsed.

### repeat

    void repeat(float offset,
                String syncbaseID)

  Invoked when a repeat value timing specifier with no iteration is parsed.

### repeat

    void repeat(float offset,
                String syncbaseID,
                int repeatIteration)

  Invoked when a repeat value timing specifier with an iteration is parsed.

### accesskey

    void accesskey(float offset,
                   char key)

  Invoked when an accesskey value timing specifier is parsed.

### accessKeySVG12

    void accessKeySVG12(float offset,
                        String keyName)

  Invoked when an SVG 1.2 accessKey value timing specifier is parsed.

### mediaMarker

    void mediaMarker(String syncbaseID,
                     String markerName)

  Invoked when a media marker value timing specifier is parsed.

### wallclock

    void wallclock(Calendar time)

  Invoked when a wallclock value timing specifier is parsed.

### indefinite

    void indefinite()

  Invoked when an indefinite value timing specifier is parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.